Are you an LLM? Read llms.txt for a summary of the docs, or llms-full.txt for the full context.
Skip to content

networks

Lists every chain TxRelay can route, each with its tokens, min/max amounts, fees, and whether deposit or withdraw is enabled.

GET/api/v1/bridge/networks

Chains, tokens, fees, and deposit / withdraw enable flags

Request example
curl https://devnet-bridge.txflow.net/api/v1/bridge/networks
Try it
GET https://devnet-bridge.txflow.net/api/v1/bridge/networks
Response 200
codeinteger

`0` on success.

dataobject
networksobject[]
messagestring
Response example
{
  "code": 0,
  "data": {
    "networks": [
      {
        "chain": "arbitrum",
        "chain_name": "Arbitrum One",
        "chain_id": "42161",
        "chain_type": "evm",
        "deposit_enabled": true,
        "withdraw_enabled": true,
        "deposit_confirmations": 10,
        "withdraw_confirmations": 1,
        "deposit_eta_minutes": 2,
        "withdraw_eta_minutes": 15,
        "support_memo": false,
        "tokens": [
          {
            "symbol": "USDCARB",
            "display_symbol": "USDC",
            "name": "USD Coin",
            "token_address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831",
            "decimals": 6,
            "deposit_fee": "0",
            "withdraw_fee": "1",
            "min_amount": "5",
            "max_amount": "1000000",
            "deposit_enabled": true,
            "withdraw_enabled": true,
            "dst_token": "USDC:0xd04f0d19E8FbA49cfA541E272F9C60a2ad720464"
          }
        ]
      }
    ]
  },
  "message": "success"
}

Next steps

Issue an address with deposit-address.